Subject: Re: info bash - Bash Features: No such file or directory
From: Arend-Jan Westhoff <[email-masked]>
To: Eric Blake <[email-masked]>, Lennart Borgman <[email-masked]>
Cc: [email-masked]
Date: Sat, 22 Oct 2005 15:02:36 +0200

At 06:30 2005-10-20 -0600, Eric Blake wrote:
>According to Lennart Borgman on 10/19/2005 4:40 PM:
>> If I do
>> 
>>  info bash
>> 
>> from the bash prompt and try to open "*Bash Features::" I get the error
>> message in the subject line.
>> 
>> Is this expected or a known bug?
>
>It works for me.  You'll have to help by giving me a better formula for
>reproducing the problem.  What does "info -w bash" print?  Also, could you
>please follow the problem-reporting directions below, and attach
cygcheck.out?
>
>> Problem reports:       http://cygwin.com/problems.html
>
>- --
>Life is short - so eat dessert first!
>
>Eric Blake             [email-masked]
>volunteer cygwin bash maintainer

I can reproduce the problem.
 	info -w bash
produces:
 	gunzip: stdin: invalid compressed data--crc error

 	gunzip: stdin: invalid compressed data--length error
 	/usr/share/info/bash.info.gz
When run from cmd or bash.

Whereas:
 	7z t bash.info.gz
Produces:
 	7-Zip 4.26 beta  Copyright (c) 1999-2005 Igor Pavlov  2005-08-05
 	Processing archive: bash.info.gz
 	Testing     bash.info
 	Everything is Ok
And:
	gzip -tv bash.info.gz
Produces:
	bash.info.gz:    OK
When run from cmd or bash.

But running:
 	gunzip
Or:
 	gunzip -tv bash.info.gz
from a cmd shell. Brings up a message box titled:
 	16 bit MS-DOS Subsystem
with contents:
 	... - gunzip
 	The NTVDM CPU has encountered an illegal instruction.
 	CS:05b2 IP:fffc OP:ff ff b1 01 00 Choose 'Close' to terminate the
application.
whereas running:
 	gunzip -tv bash.info.gz
from bash produces:
	bash.info.gz:    OK

HTH,
Arend-Jan Westhoff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/